package ch.zhaw.ads;

class LabyrinthNode<E> extends Node<E> {
    boolean mark;
    LabyrinthNode<E> prev;

    public void setMark(boolean m) {
        mark = m;
    }

    public boolean getMark() {
        return mark;
    }

    public void setPrev(LabyrinthNode<E> prev) {
        this.prev = prev;
    }

    public LabyrinthNode<E> getPrev() {
        return prev;
    }
}
